net.sf.jasperreports.engine.query

## Class JRAbstractQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRAbstractQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory

  Deprecated.
  Replaced by `AbstractQueryExecuterFactory`.

      public abstract class JRAbstractQueryExecuterFactory
      extends java.lang.Object
      implements QueryExecuterFactory

  Version:
    $Id: JRAbstractQueryExecuterFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRAbstractQueryExecuterFactory()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Deprecated. Creates a query executer.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `getBuiltinParameters, supportsQueryParameterType`

    - ### Methods inherited from interface net.sf.jasperreports.engine.query.JRQueryExecuterFactory

      `createQueryExecuter`

- - ### Constructor Detail

    - #### JRAbstractQueryExecuterFactory

          public JRAbstractQueryExecuterFactory()

      Deprecated.

  - ### Method Detail

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext,
                                            JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Deprecated.
      Description copied from interface: `QueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Specified by:
        `createQueryExecuter` in interface `QueryExecuterFactory`
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com